Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.deployment.wsdd
Interface WSDDTypeMappingContainer

All Known Implementing Classes:
  WSDDDeployment, WSDDService, WSDDUndeployment

public interface WSDDTypeMappingContainer

A common interface for things which contain type mappings (i.e. services and deployments). This simplifies the code in Admin for now.

Author:
  Glen Daniels (gdaniels@apache.org)

Method Summary
`void` | `deployTypeMapping(WSDDTypeMapping mapping)`

Method Detail

### deployTypeMapping

    public void deployTypeMapping(WSDDTypeMapping mapping)
                           throws WSDDException

  Throws:
    `WSDDException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.